Support Center

Pwn Plug Elite - Upgrading the Kernel

Last Updated: Apr 26, 2016 07:35AM EDT
At this time we do *not* recommend upgrading the Debian distro or the kernel on the plugs; several folks have tried and had to factory restore their plugs. The main issue is that the kernel and root filesystem are stored on separate memory spaces on the internal NAND flash, and kernel 2.6.36 or later is too large to fit onto the reserved kernel memory space. The secondary issue is that later stock versions of Debian are way too large for the root filesystem memory space. We heavily streamlined the Debian install included on the plugs for this reason (trimmed down to about 100MB).

Contact Us

  • Email Us
  • Phone: 1-855-793-1337 x3 9am-5pm EST, Monday through Friday
support@pwnieexpress.com
http://assets2.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete